[package]
name = "wasmeld-console"
version = "0.1.0"
edition.workspace = true
rust-version = "1.95"
license.workspace = true

[dependencies]
axum.workspace = true
base64.workspace = true
include_dir.workspace = true
mime_guess.workspace = true
serde.workspace = true
serde_json.workspace = true
semver.workspace = true
thiserror.workspace = true
toasty.workspace = true
toasty-driver-turso.workspace = true
tokio.workspace = true
toml.workspace = true
tower-http.workspace = true
tracing.workspace = true
tracing-subscriber.workspace = true
wasmeld-package = { path = "../wasmeld-package" }
wasmeld-runtime = { path = "../wasmeld-runtime" }

[dev-dependencies]
tempfile = "3.23.0"
tower = { version = "0.5.2", features = ["util"] }
